SB_DBEXPIMP(1)

NAME
sb_dbexpimp.py - Bayes database export/import

DESCRIPTION
This utility has the primary function of exporting and importing a spambayes database into/from a CSV file. This is useful in a number of scenarios.

    Platform portability of database - CSV files can be exported and imported across platforms (Windows and Linux, for example).

    Database implementation changes - databases can survive database implementation upgrades or new database implementations. For example, if a dbm implementation changes between python x.y and python x.y+1...

    Database reorganization - an export followed by an import reorgs an existing database, <theoretically> improving performance, at least in some database implementations.

    Database sharing - it is possible to distribute particular databases for research purposes, database sharing purposes, or for new users to have a 'seed' database to start with.

    Database merging - multiple databases can be merged into one quite easily by specifying -m on an import. This will add the two database nham and nspams together and for wordinfo conflicts, will add spamcount and hamcount together.

  Usage:

    sb_dbexpimp [options]

    options:

-e  : export

-i  : import

    -f: FN : flat file to export to or import from -p: FN : name of pickled database file to use -d: FN : name of dbm database file to use -m : merge import into an existing database file. This is

    meaningful only for import. If omitted, a new database file will be created. If specified, the imported wordinfo will be merged into an existing database. Run dbExpImp -h for more information.

    -o: section:option:value :

    set [section, option] in the options database to value

-h  : help

If neither -p nor -d is specified, then the values in your configuration file (or failing that, the defaults) will be used. In this way, you may convert to and from storage formats other than pickle and dbm.

    Export pickled mybayes.db into mybayes.db.export as a CSV file

    sb_dbexpimp -e -p mybayes.db -f mybayes.db.export

    Import mybayes.db.export into a new DBM mybayes.db

    sb_dbexpimp -i -d mybayes.db -f mybayes.db.export

    Convert a bayes database from pickle to DBM

    sb_dbexpimp -e -p abayes.db -f abayes.export sb_dbexpimp -i -d abayes.db -f abayes.export

    Create a new DBM database (newbayes.db) from two

    DBM databases (abayes.db, bbayes.db) sb_dbexpimp -e -d abayes.db -f abayes.export sb_dbexpimp -e -d bbayes.db -f bbayes.export sb_dbexpimp -i -d newbayes.db -f abayes.export sb_dbexpimp -i -m -d newbayes.db -f bbayes.export

SEE ALSO
The full documentation for option is maintained as a Texinfo manual. If the info and option programs are properly installed at your site, the command

    info option

should give you access to the complete manual.